[RHEL 8] Reposync --newest-only (-n) fails to sync all necessary packages and modules

Solution Verified - Updated -

Issue

  • After using reposync with -n or --newest-only, yum fails with Error opening file for checksum:

    Error opening file for checksum: /repo/rhel-8-for-x86_64-appstream-rpms/Packages/r/rhnsd-5.0.35-3.module+el8+2754+6a08e8f4.x86_64.rpm
    
  • RHEL 8.0 and 8.1 reposync failed to download the modules in addition to the latest packages.

  • Why does reposync --newest-only download multiple versions of a package?

Environment

  • Red Hat Enterprise Linux 8

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In